Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0053515
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2023-09-21 14:152023-10-30 11:13
Reporterphilippe_muiView Statuspublic 
Assigned ToAugustoMauch 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0053515: RM-8162 [Total stock take] Screen is stucked after import in BO

DescriptionAfter doing the import, the screen is stucked. Only solution is to close the header and reselect the PI in the list

See video at 00:45 : https://drive.google.com/file/d/1p1j9oc2ntmQIvu9QPSRR3q7SKPHyiWgN/view?usp=sharing [^]

https://openbravo.atlassian.net/browse/RM-8162 [^]
Steps To ReproduceLog in BO
Create a total PI
Export CSV
Add count quantity in CSV and save
Import CSV

Current behavior : After the import, it is not possible to see the lines created and user has to close the header and reopen the PI to continue working

Expected behavior : after import, the lines appear in lines tab with updated count quantities
TagsFASH
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0156186)
hgbot (developer)
2023-10-23 14:41

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/1025 [^]
(0156485)
hgbot (developer)
2023-10-30 11:13

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 29a86194372dbb09555452abcf8f62cd6b0b0d15
Author: Augusto Mauch <augusto.mauch@openbravo.com>
Date: 30-10-2023 10:12:28
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/29a86194372dbb09555452abcf8f62cd6b0b0d15 [^]

Fixes ISSUE-53515: Selection lost after executing process

The problem was that:
- grid was using lazy filtering, record selected in form view does not comply with filters because it was just created
- process triggers a refresh of the view, and a refresh of the grid
- After the refresh, record selected in form view is not included in the page returned by the datasource, causing the inconsistency

To address this, now the grid and the view refresh will be prevented if the view form is on, and if the tab has lazy filtering, with filter changes pending to be applied

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0156486)
hgbot (developer)
2023-10-30 11:13

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/1025 [^]

- Issue History
Date Modified Username Field Change
2023-09-21 14:15 philippe_mui New Issue
2023-09-21 14:15 philippe_mui Assigned To => Triage Omni WMS
2023-09-21 14:15 philippe_mui Modules => Core
2023-09-21 14:15 philippe_mui Triggers an Emergency Pack => No
2023-09-21 14:15 philippe_mui Tag Attached: FASH
2023-10-03 12:31 philippe_mui Steps to Reproduce Updated View Revisions
2023-10-09 10:57 mtaal Assigned To Triage Omni WMS => ludmila_ursu
2023-10-11 13:02 mtaal Assigned To ludmila_ursu => Triage Platform Base
2023-10-11 13:02 mtaal Category 04. Warehouse management => A. Platform
2023-10-23 14:41 hgbot Note Added: 0156186
2023-10-23 14:48 AugustoMauch Assigned To Triage Platform Base => AugustoMauch
2023-10-23 14:48 AugustoMauch Status new => scheduled
2023-10-30 11:13 hgbot Resolution open => fixed
2023-10-30 11:13 hgbot Status scheduled => closed
2023-10-30 11:13 hgbot Fixed in Version => PR24Q1
2023-10-30 11:13 hgbot Note Added: 0156485
2023-10-30 11:13 hgbot Note Added: 0156486


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker